/*
    libut61 - library for parsing UT61 (ES51922) DMM readout data stream
    Copyright (C) 2021  Tibor 'Igor2' Palinkas

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA

    Project page:           http://www.repo.hu/projects/ut61
    Version control:        svn://svn.repo.hu/ut61/trunk
    Contact (email & IRC):  http://igor2.repo.hu/contact.html
*/

#ifndef UT61_DEBUG_H
#define UT61_DEBUG_H

#include <stdarg.h>
#include <libut61/ut61.h>

/* really inline, but the inline keyword is not c89 */
static void tprintf(int level, const char *fmt, ...)
{
	va_list ap;

	if (ut61_verbose < level)
		return;

	printf("# ");
	va_start(ap, fmt);
	vprintf(fmt, ap);
	va_end(ap);
}

#endif
